<?php

/**
 * Fichero de funciones auxiliares para SocialSight
 * @version 0.2
 * @author Miguel Sempere Sanchez <miguel.sempere.sanchez@gmail.com>
 * @license http://opensource.org/licenses/gpl-3.0.html GNU General Public License, version 3 (GPLv3)
 */

require_once('./facebook.php');
require_once('./funcionesFB.php');

echo HTML();

MostrarCabecera("PERFIL DEL USUARIO");
MostrarMenu();
session_start();

if (isset($_SESSION['ss'])){

	$ss=$_SESSION['ss'];
	$facebook=$ss->getInstancia();
	$accessToken=$ss->getAccessToken();
	$uid=getMeId($facebook);


	$respuesta=getCompleteUser($facebook,$uid);
	$nombreCompleto=$about=$cumple=$bio=$genero="";

	if(array_key_exists('name', $respuesta))
		$nombreCompleto=$respuesta['name'];
	if(array_key_exists('about', $respuesta))
		$about=$respuesta['about'];
	if(array_key_exists('birthday', $respuesta))
		$cumple=$respuesta['birthday'];
	if(array_key_exists('bio', $respuesta))
		$bio=$respuesta['bio'];
	if(array_key_exists('gender', $respuesta))
		$genero=$respuesta['gender'];

	$urlFoto=ObtenerURLImagenUsuarioID($uid);

	$cadena1='<a title="Pagina de inicio del usuario" href="/socialsight/index.php" hreflang="es" shape="rect">'.$nombreCompleto.'</a>';

	echo "<div id=\"MuroUsuario\" class=\"MuroUsuario\">";
	echo "<H2>".$cadena1.' > PERFIL DE '.$nombreCompleto."</H2>";
	echo '</div>';

	echo "<div id=\"FotoAmigo\" class=\"FotoAmigo\">";
	if(!empty($urlFoto))
		echo '<img src="'.$urlFoto.'?type=large" alt="Imagen de perfil de '.$nombreCompleto.'">';
	echo '</div>';



	echo "<div id=\"MuroAmigo\" class=\"MuroAmigo\"><ul>";
	if(!empty($nombreCompleto))
		echo '<li><b>Nombre:</b> '.$nombreCompleto;
	if(!empty($about))
		echo '<li><b>About:</b> '.$about;
	if(!empty($cumple))
		echo '<li><b>Birthday:</b> '.$cumple;
	if(!empty($bio))
		echo '<li><b>Bio:</b> '.$bio;
	if(!empty($genero))
		echo '<li><b>Genero:</b> '.$genero;
	echo "</ul></div>";

}
else{
	echo "Problemas al crear la sesin. Por favor intente acceder de nuevo mas tarde.";
}

echo "</HTML>";

?>